element框架搭建

原创 黎云锐 教程 前端 2701阅读 2018-10-31 19:51:12 举报

element框架搭建

安装

推荐使用 npm 的方式安装,它能更好地和webpack打包工具配合使用。

npm i element-ui -D
项目结构

|- src/ --------------------- 项目源代码
|- App.vue
|- main.js -------------- 入口文件
|- .babelrc ----------------- babel 配置文件
|- index.html --------------- HTML 模板
|- package.json ------------- npm 配置文件
|- README.md ---------------- 项目帮助文档
|- webpack.config.js -------- webpack 配置文件
package.json

注意对package.json中的scripts的理解

一个由脚本命令组成的hash对象,他们在包不同的生命周期中被执行。key是生命周期事件,value是要运行的命令。

我们可以使用

npm run dev #webpack 的--inline --hot 起作用的原因就是配置了scrips

运行

$ npm run dev
编译

$ npm run build
遇到的问题 _vm._h is not a function

解决方法

Vue 2.1.5 将 _h 重命名为 _c,而 Element 目前发的版本都是用以前的 compiler 编译的,导致新版 runtime 无法运行 Element。目前的解决方案是锁定 Vue 的版本为 2.1.4

锁定vue相关版本

重新安装一下版本

"vue-template-compiler": "2.1.4"
"vue-loader": "10.0.0"
"vue": "2.1.4"
具体命令如下:

npm remove # 卸载某个版本
npm remove vue
npm remove vue-template-compiler
npm remove vue-loader
npm install vue@2.1.4 #安装指定版本
npm install vue-template-compiler@2.1.4
npm install vue-loader@10.0.0
参考资料

框架代码
element官网
element的github地址
package.json配置项的理解

评论 ( 0 )
最新评论
暂无评论

赶紧努力消灭 0 回复